### Method

# Camel FilterDriver add_rule

#### Declaration [src]

    void
    camel_filter_driver_add_rule (
      CamelFilterDriver* d,
      const gchar* name,
      const gchar* match,
      const gchar* action
    )

#### Description [src]

Adds a new rule to set of rules to process by the filter driver.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the rule.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`match`

  Type: `const gchar*`

  A code (`CamelSExp`) to execute to check whether the rule can be applied.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action`

  Type: `const gchar*`

  An action code (`CamelSExp`) to execute, when the `match` evaluates to `TRUE`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.